import { flags, SfdxCommand } from '@salesforce/command';
export default class HerokuConnect extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static supportsUsername: boolean;
    protected static flagsConfig: {
        app: flags.Discriminated<flags.Option<string>>;
        environment: flags.Discriminated<flags.Option<string>>;
        password: flags.Discriminated<flags.Option<string>>;
        configfile: flags.Discriminated<flags.Option<string>>;
        showbrowser: flags.Discriminated<flags.Boolean<boolean>>;
        instance: flags.Discriminated<flags.Boolean<boolean>>;
        verbose: flags.Builtin;
    };
    run(): Promise<any>;
}
