import { flags, SfdxCommand } from '@salesforce/command';
export default class HerokuRepoDeploy extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static supportsUsername: boolean;
    protected static flagsConfig: {
        githubuser: flags.Discriminated<flags.Option<string>>;
        repo: flags.Discriminated<flags.Option<string>>;
        name: flags.Discriminated<flags.Option<string>>;
        overrides: flags.Discriminated<flags.Array<string>>;
        envuser: flags.Discriminated<flags.Option<string>>;
        envpassword: flags.Discriminated<flags.Option<string>>;
        team: flags.Discriminated<flags.Option<string>>;
        days: flags.Discriminated<flags.Number>;
    };
    run(): Promise<any>;
}
