import { flags, SfdxCommand } from '@salesforce/command';
export default class Activation extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        reset: flags.Discriminated<flags.Boolean<boolean>>;
        deactivate: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
