import { flags, SfdxCommand } from '@salesforce/command';
export default class Pull extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static requiresUsername: boolean;
    protected static flagsConfig: {
        code: flags.Discriminated<flags.Boolean<boolean>>;
        perms: flags.Discriminated<flags.Boolean<boolean>>;
        wave: flags.Discriminated<flags.Boolean<boolean>>;
        schema: flags.Discriminated<flags.Boolean<boolean>>;
        ui: flags.Discriminated<flags.Boolean<boolean>>;
        reporting: flags.Discriminated<flags.Boolean<boolean>>;
        object: flags.Discriminated<flags.Option<string>>;
        type: flags.Discriminated<flags.Option<string>>;
        all: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
