import { flags, SfdxCommand } from '@salesforce/command';
export default class ObjectCreate extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        type: flags.Discriminated<flags.Option<string>>;
        label: flags.Discriminated<flags.Option<string>>;
        api: flags.Discriminated<flags.Option<string>>;
        plural: flags.Discriminated<flags.Option<string>>;
        description: flags.Discriminated<flags.Option<string>>;
        enterprise: flags.Discriminated<flags.Boolean<boolean>>;
        sharingmodel: flags.Discriminated<flags.Option<string>>;
        activities: flags.Discriminated<flags.Boolean<boolean>>;
        search: flags.Discriminated<flags.Boolean<boolean>>;
        reports: flags.Discriminated<flags.Boolean<boolean>>;
        history: flags.Discriminated<flags.Boolean<boolean>>;
        feeds: flags.Discriminated<flags.Boolean<boolean>>;
        nametype: flags.Discriminated<flags.Option<string>>;
        namefieldlabel: flags.Discriminated<flags.Option<string>>;
        autonumberformat: flags.Discriminated<flags.Option<string>>;
        highvolume: flags.Discriminated<flags.Boolean<boolean>>;
        interactive: flags.Discriminated<flags.Boolean<boolean>>;
        directory: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
    private validate;
}
