import { flags, SfdxCommand } from '@salesforce/command';
export default class FieldCreate extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        object: flags.Discriminated<flags.Option<string>>;
        name: flags.Discriminated<flags.Option<string>>;
        api: flags.Discriminated<flags.Option<string>>;
        type: flags.Discriminated<flags.Option<string>>;
        description: flags.Discriminated<flags.Option<string>>;
        default: flags.Discriminated<flags.Option<string>>;
        required: flags.Discriminated<flags.Boolean<boolean>>;
        unique: flags.Discriminated<flags.Boolean<boolean>>;
        externalid: flags.Discriminated<flags.Boolean<boolean>>;
        trackhistory: flags.Discriminated<flags.Boolean<boolean>>;
        helptext: flags.Discriminated<flags.Option<string>>;
        length: flags.Discriminated<flags.Number>;
        scale: flags.Discriminated<flags.Number>;
        precision: flags.Discriminated<flags.Number>;
        lookupobject: flags.Discriminated<flags.Option<string>>;
        relname: flags.Discriminated<flags.Option<string>>;
        indexposition: flags.Discriminated<flags.Number>;
        indexappend: flags.Discriminated<flags.Boolean<boolean>>;
        indexdirection: flags.Discriminated<flags.Option<string>>;
        noindex: flags.Discriminated<flags.Boolean<boolean>>;
        interactive: flags.Discriminated<flags.Boolean<boolean>>;
        directory: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
