import { flags, SfdxCommand } from '@salesforce/command';
export default class Bump extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        major: flags.Discriminated<flags.Boolean<boolean>>;
        minor: flags.Discriminated<flags.Boolean<boolean>>;
        patch: flags.Discriminated<flags.Boolean<boolean>>;
        create: flags.Discriminated<flags.Boolean<boolean>>;
        release: flags.Discriminated<flags.Boolean<boolean>>;
        target: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresProject: boolean;
    protected static requiresDevhubUsername: boolean;
    run(): Promise<any>;
}
