import { flags, SfdxCommand } from '@salesforce/command';
export default class ProjectCreate extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static requiresDevhubUsername: boolean;
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        gitremote: flags.Discriminated<flags.Option<string>>;
    };
    run(): Promise<any>;
    orgInit(): string;
    gitIgnore(): string;
    projectJSON(api: any): string;
    scratchJSON(): string;
    packageJSON(): string;
}
