/// <reference types="node" />
import { flags, SfdxCommand } from '@salesforce/command';
export default class RemoteSite extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        url: flags.Discriminated<flags.Option<import("url").URL>>;
        name: flags.Discriminated<flags.Option<string>>;
        description: flags.Discriminated<flags.Option<string>>;
        target: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
