/// <reference types="node" />
import { flags, SfdxCommand } from '@salesforce/command';
import { URL } from 'url';
export default class AllPhotos extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        repo: flags.Discriminated<flags.Option<URL>>;
        folder: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
