import { flags, SfdxCommand } from '@salesforce/command';
export default class AnalyticsAppShare extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        allprm: flags.Discriminated<flags.Boolean<boolean>>;
        allcsp: flags.Discriminated<flags.Boolean<boolean>>;
        org: flags.Discriminated<flags.Boolean<boolean>>;
        community: flags.Discriminated<flags.Boolean<boolean>>;
        type: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    run(): Promise<any>;
}
