import { flags, SfdxCommand } from '@salesforce/command';
export default class Upload extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        file: flags.Discriminated<flags.Option<string>>;
        parentid: flags.Discriminated<flags.Option<string>>;
        chatter: flags.Discriminated<flags.Boolean<boolean>>;
        name: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
