import { flags, SfdxCommand } from '@salesforce/command';
export default class GithubPackageInstall extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static requiresUsername: boolean;
    protected static flagsConfig: {
        githubuser: flags.Discriminated<flags.Option<string>>;
        repo: flags.Discriminated<flags.Option<string>>;
        path: flags.Discriminated<flags.Option<string>>;
        keeplocally: flags.Discriminated<flags.Boolean<boolean>>;
        convert: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
