import { flags, SfdxCommand } from '@salesforce/command';
export default class Photo extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        group: flags.Discriminated<flags.Option<string>>;
        file: flags.Discriminated<flags.Option<string>>;
        banner: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
