import { flags, SfdxCommand } from '@salesforce/command';
export default class LabelAdd extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        text: flags.Discriminated<flags.Option<string>>;
        bundle: flags.Discriminated<flags.Option<string>>;
        name: flags.Discriminated<flags.Option<string>>;
        description: flags.Discriminated<flags.Option<string>>;
        protected: flags.Discriminated<flags.Boolean<boolean>>;
        categories: flags.Discriminated<flags.Array<string>>;
        language: flags.Discriminated<flags.Option<string>>;
        target: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
