import { flags, SfdxCommand } from '@salesforce/command';
export default class Push extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static requiresUsername: boolean;
    protected static flagsConfig: {
        convertedfolder: flags.Discriminated<flags.Option<string>>;
        keepconverted: flags.Discriminated<flags.Boolean<boolean>>;
        source: flags.Discriminated<flags.Option<string>>;
        deploymenttimelimit: flags.Discriminated<flags.Number>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
