import { flags, SfdxCommand } from '@salesforce/command';
export default class CreateOrg extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        userprefix: flags.Discriminated<flags.Option<string>>;
        userdomain: flags.Discriminated<flags.Option<string>>;
        clientid: flags.Discriminated<flags.Option<string>>;
        definitionfile: flags.Discriminated<flags.Option<string>>;
        setalias: flags.Discriminated<flags.Option<string>>;
        durationdays: flags.Discriminated<flags.Number>;
        wait: flags.Discriminated<flags.Number>;
        noancestors: flags.Discriminated<flags.Boolean<boolean>>;
        nonamespace: flags.Discriminated<flags.Boolean<boolean>>;
        setdefaultusername: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
}
