import { flags, SfdxCommand } from '@salesforce/command';
export default class PermCheck extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        object: flags.Discriminated<flags.Option<string>>;
        field: flags.Discriminated<flags.Option<string>>;
        profiles: flags.Discriminated<flags.Boolean<boolean>>;
        permsets: flags.Discriminated<flags.Boolean<boolean>>;
        users: flags.Discriminated<flags.Boolean<boolean>>;
        fieldlevel: flags.Discriminated<flags.Option<string>>;
        objectlevel: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    run(): Promise<any>;
}
