import { flags, SfdxCommand } from '@salesforce/command';
export default class PermSetCreate extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        object: flags.Discriminated<flags.Option<string>>;
        field: flags.Discriminated<flags.Option<string>>;
        directory: flags.Discriminated<flags.Option<string>>;
        tab: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresProject: boolean;
    run(): Promise<any>;
    addObjectPerms(existing: any, objectName: string): any;
    addFieldPerms(existing: any, objectName: string, fieldName: string): Promise<any>;
    addAllFieldPermissions(existing: any, objectName: string): Promise<any>;
    addTab(existing: any, objectName: string): any;
}
