import { flags, SfdxCommand } from '@salesforce/command';
export default class Record extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        recordid: flags.Discriminated<flags.Option<string>>;
        fields: flags.Discriminated<flags.Array<string>>;
        optionalfields: flags.Discriminated<flags.Array<string>>;
        outputfile: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    run(): Promise<any>;
}
