import { flags, SfdxCommand } from '@salesforce/command';
export default class RecordUI extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        recordid: flags.Discriminated<flags.Option<string>>;
        recordids: flags.Discriminated<flags.Array<string>>;
        layouttypes: flags.Discriminated<flags.Array<string>>;
        modes: flags.Discriminated<flags.Array<string>>;
        outputfile: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    run(): Promise<any>;
}
