"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
async function file2CV(conn, filepath, name) {
    const fileData = await fs.readFile(filepath);
    const cvcr = {
        VersionData: Buffer.from(fileData).toString('base64'),
        PathOnClient: filepath
    };
    // optinal params
    if (name) {
        cvcr.Title = name;
    }
    const CV = await conn.sobject('ContentVersion').create(cvcr);
    const result = await conn.query(`Select Id, ContentDocumentId from ContentVersion where Id='${CV.id}'`);
    return result.records[0];
}
exports.file2CV = file2CV;
//# sourceMappingURL=localFile2CV.js.map